import Vue from 'vue'
import Router from 'vue-router'
import MyIndex from '../views/MyIndex.vue'

import Aqsc from '../views/aqsc.vue'
import Yshj from '../views/yshj.vue'
import Xczx from '../views/xczx.vue'
import Kjcx from '../views/Kjcx.vue'
import Sxh from '../views/Sxh.vue'
import Cyfz from '../views/Industry.vue'
import Msbz from '../views/Live.vue'
import Xxczh from '../views/NewUrbanization.vue'
import Qyxtfz from '../views/Region.vue'
import Stwm from '../views/Ecology.vue'
import Ctfy from '../views/Epidemic.vue'
import Xxgl from '../views/Xxgl.vue'
import Szsy from '../views/Szsy.vue'
import Err from '../views/err.vue'
Vue.use(Router)
var router = new Router({
  routes: [{
      path: '/',
      name: 'Index',
      component: MyIndex
    },
    {
      path: '/xxczh',
      name: 'NewUrbanization',
      meta: {
        title: '新型城镇化'
      },
      component: Xxczh
    },
    {
      path: '/msbz',
      name: 'live',
      meta: {
        title: '民生保障'
      },
      component: Msbz
    },
    {
      path: '/qyxtfz',
      name: 'region',
      meta: {
        title: '区域协调发展'
      },
      component: Qyxtfz
    },
    {
      path: '/cyfz',
      name: 'Cyfz',
      meta: {
        title: '产业发展'
      },
      component: Cyfz
    },

    {
      path: '/xczx',
      name: 'Xczx',
      meta: {
        title: '乡村振兴'
      },
      component: Xczx
    },
    {
      path: '/aqsc',
      name: 'Aqsc',
      meta: {
        title: '安全生产'
      },
      component: Aqsc
    },
    {
      path: '/sxh',
      name: 'Sxh',
      meta: {
        title: '双循环'
      },
      component: Sxh
    },
    {
      path: '/kjcx',
      name: 'Kjcx',
      meta: {
        title: '科技创新'
      },
      component: Kjcx
    },
    {
      path: '/yshj',
      name: 'Yshj',
      meta: {
        title: '营商环境'
      },
      component: Yshj
    },
    {
      path: '/ctfy',
      name: 'Ctfy',
      meta: {
        title: '常态防疫'
      },
      component: Ctfy
    },
    {
      path: '/cthfy',
      name: 'Cthfy',
      meta: {
        title: '常态防疫'
      },
      component: Ctfy
    },
    {
      path: '/stwm',
      name: 'Stwm',
      meta: {
        title: '生态文明'
      },
      component: Stwm
    },
    {
      path: '/xxgl',
      name: 'Xxgl',
      meta: {
        title: '信息管理'
      },
      component: Xxgl
    },
    {
      path: '/szsy',
      name: 'Szsy',
      meta: {
        title: '双招双引'
      },
      component: Szsy
    },
    {
      path: '/err',
      name: 'Err',
      meta: {
        title: '无权限'
      },
      component: Err
    }
  ]
})
// 判断设备类型（用于判断埋点设备）
let u = navigator.userAgent;
let isAndroid = u.indexOf('Android') > -1;
let isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
// 设备类型埋点编码（01：PC端，02：app端）
let devType = (isAndroid || isIOS) ? '02' : '01';

router.beforeEach((to, from, next) => {
  // if (to.path == "/login"||to.path=="/nopower") {

  next()



  // } else {
  //   const token = sessionStorage.getItem("token");
  //   if (token) {
  //     next();
  //   } else {
  //     router.push("/login");
  //   }
  // }
  /*---------埋点代码开始 （路由切换执行）----------*/

  // 单页应用 或 “单个页面”需异步补充PV日志参数还需进行如下埋点：
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['aplus-waiting', 'MAN']
  });
  // PV日志接收日志域名，必须按实际情况填写
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['aplus-rhost-v', 'alog.zjzwfw.gov.cn']
  });
  // 一般日志（如点击和曝光）接收日志域名
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['aplus-rhost-g', 'alog.zjzwfw.gov.cn']
  });
  // 判单设备设置appId
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['appId', isAndroid ? '28302650' : isIOS ? '28328447' : '47130293']
  });

  // 如采集用户信息是异步行为需要先执行这个BLOCK埋点
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['_hold', 'BLOCK']
  });

  aplus_queue.push({
    'action': 'aplus.sendPV',
    'arguments': [{
      is_auto: false
    }, {
      //当前应用信息
      sapp_id: '14053',
      sapp_name: 'szzf-yh',
      // 自定义PV参数key-value键值对（只能是这种平铺的json，不能做多层嵌套），除userName外（考虑安全原因暂时做废弃处理），其他为必填项。
      dev_type: devType, // 设备类型
      site_type: '101', // 站点类型 数字化改革门户100 数字政府101 党政机关整体智治102 数字社会103 数字经济104 数字法治105
      is_digital_reform: '1', // 固定值传1，标识是否为数字化改革相关应用
      is_workbench: '1', // 新增字段，标识是否为数字化改革工作台，取值 1或0，1代表是，0代表不是，不填该参数取默认值0
      city_code: '331100', // 设区市编码
      area_code: '331125', // 区县编码
      page_name: '云和数字政府门户', // 页面名称
      page_url: window.location.href,
      page_id: window.location.hash,
      _user_id: sessionStorage.token ? JSON.parse(sessionStorage.token).accountId : '', // 客户端用户ID（浙政钉2.0ID）
      // _user_nick: '',                // userName考虑安全原因暂时做废弃处理
    }]
  })
  // 设置会员昵称
  aplus_queue.push({
    action: "aplus.setMetaInfo",
    arguments: ["_user_nick", sessionStorage.token ? JSON.parse(sessionStorage.token).nickNameCn : '']
  });
  // 设置会员ID
  aplus_queue.push({
    action: "aplus.setMetaInfo",
    arguments: ["_user_id", sessionStorage.token ? JSON.parse(sessionStorage.token).accountId : '']
  });
  // 如采集用户信息是异步行为，需要先设置完用户信息后再执行这个START埋点
  // 此时被block住的日志会携带上用户信息逐条发出
  aplus_queue.push({
    action: 'aplus.setMetaInfo',
    arguments: ['_hold', 'START']
  });

  /*---------埋点代码结束----------*/

})


export default router
